Get audio transcription
curl --request GET \
--url https://api.videodb.io/audio/{audio_id}/transcription/ \
--header 'x-access-token: <api-key>'const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://api.videodb.io/audio/{audio_id}/transcription/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
$headers=@{}
$headers.Add("x-access-token", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.videodb.io/audio/{audio_id}/transcription/' -Method GET -Headers $headersimport Foundation
let url = URL(string: "https://api.videodb.io/audio/{audio_id}/transcription/")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-access-token": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/audio/{audio_id}/transcription/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/audio/{audio_id}/transcription/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://api.videodb.io/audio/{audio_id}/transcription/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/audio/{audio_id}/transcription/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/audio/{audio_id}/transcription/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.videodb.io/audio/{audio_id}/transcription/")
.get()
.addHeader("x-access-token", "<api-key>")
.build()
val response = client.newCall(request).execute(){
"success": true,
"status": "completed",
"data": {
"transcript": [
{
"text": "Hello world",
"start": 1.5,
"end": 3.2
}
]
}
}{
"success": false,
"message": "Error message",
"error_code": "ERROR_CODE"
}Get Audio Transcription
Retrieve the transcription for an audio file
GET
/
audio
/
{audio_id}
/
transcription
/
Get audio transcription
Retrieve the transcription data for a specific audio file, including word-level timestamps.
import videodb
conn = videodb.connect(api_key="your_api_key")
coll = conn.get_collection()
audio = coll.get_audio("audio_id")
# Get full transcript with timestamps
transcript = audio.get_transcript()
# Get transcript for a time range
transcript = audio.get_transcript(start=10, end=60)
# Segment by sentence
transcript = audio.get_transcript(segmenter="sentence")
# Get plain text transcript
text = audio.get_transcript_text()
import { connect } from 'videodb';
const conn = connect({ apiKey: 'your_api_key' });
const coll = await conn.getCollection();
const audio = await coll.getAudio('audio_id');
// Get full transcript with timestamps
const transcript = await audio.getTranscript();
// Get transcript for a time range
const rangeTranscript = await audio.getTranscript({ start: 10, end: 60 });
// Segment by sentence
const sentenceTranscript = await audio.getTranscript({ segmenter: 'sentence' });
// Get plain text transcript
const text = await audio.getTranscriptText();
- Use
startandendparameters to retrieve a specific time range - Returns word-level timestamps for precise alignment
- The
engineparameter selects which transcription engine’s output to retrieve
Create Transcription
Generate a new transcription
Get Audio
Retrieve audio file details
Authorizations
API key for authentication (sk-xxx format)
Path Parameters
Pattern:
^a-Example:
"a-12345"
Query Parameters
Example:
"default"
Example:
0
Example:
60
⌘I